# vim: set sw=4 ts=4 et:

# Copyright (c) 2005-2009 oc2pus
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           vamp-qm-plugins
Summary:        A set of binary plugins for feature extraction from audio data
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://isophonics.net/QMVampPlugins
Version:        1.7
Release:        pm151.3.6
License:        GPL-2.0+
Source0:        https://code.soundsoftware.ac.uk/attachments/download/109/qm-vamp-plugins-%{version}.tar.gz
Source1:        https://code.soundsoftware.ac.uk/attachments/download/103/qm-dsp-%{version}.tar.gz
Patch1:         qm-dsp-size_t.patch
Patch2:         qm-dsp-add_missing_include_dir.patch
Patch3:         qm-vamp-plugins-fix_linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
ExclusiveArch:  %ix86 x86_64
Requires:       sonic-visualiser
BuildRequires:  gcc-c++
BuildRequires:  vamp-plugin-sdk-devel

%description
A set of binary plugins for feature extraction from audio data,
using the Vamp plugin format suitable for use in Sonic
Visualiser.

This plugin set includes tempo tracker, tonal change detection
function, chromagram, and constant-Q spectrogram extractors.

For further documentation see:
http://www.elec.qmul.ac.uk/digitalmusic/downloads/#qm-vamp-plugins

%prep
%setup -q -b 1 -n "qm-vamp-plugins-%{version}"
pushd "../qm-dsp-%{version}"
%patch1
%patch2
popd
%patch3

%build
pushd "../qm-dsp-%{version}"
%__make %{?_smp_mflags} -f build/linux/Makefile.linux64
popd
%__ln_s "qm-dsp-%{version}" ../qm-dsp
%__ln_s "../qm-dsp-%{version}" qm-dsp
%__make %{?_smp_mflags} -f build/linux/Makefile.linux64

%install
%__install -d "%{buildroot}%{_libdir}/vamp"
%__install qm-vamp-plugins.{so,cat,n3} "%{buildroot}%{_libdir}/vamp/"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README.txt COPYING
%dir %{_libdir}/vamp
%{_libdir}/vamp/qm-vamp-plugins.so
%{_libdir}/vamp/qm-vamp-plugins.cat
%{_libdir}/vamp/qm-vamp-plugins.n3

%changelog
* Thu Mar 15 2012 pascal.bleser@opensuse.org
- build from source instead of unpacking binaries
- update to 1.7
* Sun Nov  1 2009 toni@links2linux.de
- update to 1.6.1
- This is a bug-fix release, fixing a failure to correctly smooth the
  onset detection function which caused the onset and beat tracking
  plugins occasionally to miss onsets or find spurious ones.
* Sat Oct 24 2009 toni@links2linux.de
- update to 1.6
- This is a major feature release which adds four new plugins (adaptive
  spectrogram, polyphonic transcription, wavelet scalogram, and
  bar-and-beat tracker) and a new method for the beat tracker.
* Tue Dec  9 2008 toni@links2linux.de
- update to 1.5
* Sat Feb 16 2008 toni@links2linux.de
- update to 1.4
* Sat Jan 12 2008 toni@links2linux.de
- update to 1.3
* Mon Apr 30 2007 toni@links2linux.de
- update to 1.1
* Tue Mar 20 2007 toni@links2linux.de
- split off from sonic-visualiser
